package banco.cliente;

import java.sql.SQLException;

import banco.cliente.Cliente;
import banco.cliente.ClienteExistenteException;
import banco.cliente.ClienteInexistenteException;

public interface RepositorioClientes {

	public void inserir(Cliente c) throws ClienteExistenteException, SQLException;

	public void remover(String cpf) throws ClienteInexistenteException, SQLException;

	public Cliente procurar(String cpf) throws ClienteInexistenteException, SQLException;

    public void atualizar(Cliente c) throws ClienteInexistenteException, SQLException;

    public boolean existe(String cpf) throws SQLException;
    
    public void liberaRecursos();
  

}